curl --location 'https://gateway.domi-kids.com/v1/images/generations' \
--header 'domi-ai-metadata: {
"schema_version": 1,
"business_request_id": "order-ai-20260716-0001",
"source_system_code": "crm",
"application_id": "crm-copilot",
"business_line_id": "sales",
"organization_id": "org-1001",
"user_id": "u-2001",
"classify": {
"1": "p-3001",
"2": "cc-310",
"3": "knowledge_qa",
"20": ""
}
}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'deviceId: <api-key>' \
--header 'deviceType: <api-key>' \
--header 'appVersion: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"model": "doubao-seedream-5-0-260128",
"prompt": "A serene koi pond at sunset, ukiyo-e style.",
"size": "1024x1024",
"n": 1,
"seed": 123456789,
"sequential_image_generation": "disabled",
"stream": false,
"response_format": "url",
"output_format": "jpeg",
"tools": [
{
"type": "web_search"
}
],
"watermark": false
}'